=== debian/changelog ===
lua5.4 (5.4.0-2) unstable; urgency=medium

  * Add patches by upstream, which fix a few freshly introduced bugs.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 18 Jul 2020 18:10:14 +0300

lua5.4 (5.4.0-1) unstable; urgency=medium

  * The first upstream release.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 30 Jun 2020 16:51:40 +0300

lua5.4 (5.4.0~rc5-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 17 Jun 2020 12:49:10 +0300

lua5.4 (5.4.0~rc4-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 02 Jun 2020 23:46:53 +0300

lua5.4 (5.4.0~rc3-1) experimental; urgency=medium

  * New upstream release candidate.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 20 May 2020 10:12:52 +0300

lua5.4 (5.4.0~rc2-1) experimental; urgency=medium

  * New upstream release candidate.
  * Refresh patches.
  * Bump the standards version to 4.5.0.
  * Bump the debhelper compatibility level to 12.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 06 May 2020 10:33:50 +0300

lua5.4 (5.4.0~beta-1) experimental; urgency=medium

  * New upstream preliminary release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 29 Oct 2019 10:23:48 +0300

lua5.4 (5.4.0~alpha-2) experimental; urgency=medium

  * Fix symbols in the linker version script.
  * Adapt a patch for lua5.3 by Helmut Grohne to fix FTCBFS. The patch
    libtoolizes during build to avoid a dependency on libtool-bin, and
    uses triplet-prefixed build tools (closes: #941649).
  * Fix the Lua version release number in pkgconfig scripts.
  * Add an alternatives for the lua.pc and lua-c++.pc pkgconfig scripts.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 13 Oct 2019 10:33:54 +0300

lua5.4 (5.4.0~alpha-1) experimental; urgency=medium

  * Initial release (closes: #932316).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 17 Jul 2019 18:28:48 +0300
