=== debian/watch ===
# test with:
# uscan --watchfile debian/watch --upstream-version 0.0.1 --package lua5.3
version=3
https://www.lua.org/ftp/lua-(5\.4.*)\.tar\.gz

opts="dversionmangle=s/~~/-/g;s/~/-/g, \
      uversionmangle=s/-w/~~w/g;s/-/~/g" \
https://www.lua.org/work/lua-(5\.4.*[^s])\.tar\.gz
