## lua5.4 5.4.1

=== debian/changelog ===
lua5.4 (5.4.1-1) unstable; urgency=medium

  * New upstream release. This release fixes the following security bugs:
    - CVE-2020-15888, mishandling the interaction between stack resizes
      and garbage collection (closes: #972101)
    - CVE-2020-24342 allowing a stack redzone cross (closes: #971012)
    - CVE-2020-24369 attempting to access debug information via the line
      hook of a stripped function (closes: #971013)
    - CVE-2020-24370 allowing a negation overflow and segmentation fault
      in getlocal and setlocal (closes: #971613)
    - CVE-2020-24371 active barriers during sweep phase (closes: #971010)
  * Remove no longer necessary patches.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 21 Nov 2020 17:58:27 +0300
