## lua5.4 5.4.2

=== src/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 MYOBJS=
 
 # Special flags for compiler modules; -Os reduces code size.
-CMCFLAGS= -Os
+CMCFLAGS= 
 
 # == END OF USER SETTINGS -- NO NEED TO CHANGE ANYTHING BELOW THIS LINE =======
