=== debian/changelog ===
lua5.4 (5.4.2-2) unstable; urgency=medium

  * Enable readline support (thanks to Widianto Nur F).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 12 Jan 2021 23:02:10 +0300

lua5.4 (5.4.2-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 06 Dec 2020 14:05:10 +0300
