=== debian/rules ===
--- 
+++ 
@@ -50,7 +50,7 @@
 	echo "#endif" >> src/$(LUA_MULTIARCH)
 
 override_dh_auto_build:
-	$(MAKE) linux MYLIBS=$(MYLIBS) LIBTOOL='$(CURDIR)/debian/libtool/libtool' CC='$(CC) -std=gnu99' CXX='$(CXX)'
+	$(MAKE) linux-readline MYLIBS=$(MYLIBS) LIBTOOL='$(CURDIR)/debian/libtool/libtool' CC='$(CC) -std=gnu99' CXX='$(CXX)'
 
 override_dh_auto_install:
 	# pkgconfig
