## lua5.4 5.4.4

=== debian/changelog ===
lua5.4 (5.4.4-1) unstable; urgency=medium

  * New upstream release. This release fixes the following security bugs:
    - CVE-2021-43519, stack overflow in lua_resume of ldo.c in Lua
      Interpreter 5.1.0~5.4.4 allows attackers to perform a Denial of
      Service via a crafted script file (closes: #1000228).
    - CVE-2021-44647, Lua 5.4.4 and 5.4.2 are affected by SEGV by type
      confusion in funcnamefromcode function in ldebug.c which can cause
      a local denial of service (closes: #1004189).

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Feb 2022 10:34:34 +0300
