=== debian/control ===
--- 
+++ 
@@ -1,13 +1,15 @@
 Source: lua5.4
 Section: interpreters
 Priority: optional
-Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 12), quilt (>= 0.40), libtool, libreadline-dev, autoconf
-Standards-Version: 4.5.0
+Build-Depends: debhelper-compat (= 13), libreadline-dev
+Standards-Version: 4.6.2
 Vcs-Git: https://salsa.debian.org/lua-team/lua5.4.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua5.4
 Homepage: http://www.lua.org
+Rules-Requires-Root: no
 
 Package: lua5.4
 Architecture: any
@@ -28,7 +30,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: liblua5.4-0 (= ${binary:Version}), libc6-dev|libc-dev, libreadline-dev, ${misc:Depends}
-Recommends: pkg-config, libtool-bin
+Recommends: pkgconf, libtool-bin
 Section: libdevel
 Description: Development files for the Lua language version 5.4
  Lua is a powerful, light-weight programming language designed for extending
@@ -58,13 +60,3 @@
  .
  This package contains runtime libraries.  You shouldn't need to install it
  explicitly.
-
-Package: liblua5.4-0-dbg
-Architecture: any
-Multi-Arch: same
-Depends: ${shlibs:Depends}, liblua5.4-0 (= ${binary:Version}), ${misc:Depends}
-Section: debug
-Priority: optional
-Description: Debug symbols for the Lua shared library interpreter
- This package contains the debugging symbols for liblua5.4 and lua5.4
-
