## lua5.4 5.4.7

=== debian/changelog ===
lua5.4 (5.4.7-1) unstable; urgency=medium

  * New upstream release.
  * Bump the standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 28 Nov 2024 12:14:18 +0300
