=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: lua5.4
 Section: interpreters
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
+Maintainer: Debian Lua Team <pkg-lua-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper-compat (= 13), libreadline-dev
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Git: https://salsa.debian.org/lua-team/lua5.4.git
 Vcs-Browser: https://salsa.debian.org/lua-team/lua5.4
 Homepage: http://www.lua.org
