=== debian/changelog ===
lua5.4 (5.4.8-1) unstable; urgency=medium

  * New upstream release.
  * Update the liblua5.4-0 symbols list.
  * Bump the standards version to 4.7.2.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 10 Aug 2025 11:58:08 +0300
